import { Checkbox, message, Radio } from "antd/lib/index";
import { Button, Descriptions, Badge, Popconfirm, Row, Col, Form, Input, Select, Table } from 'antd';
import React from 'react';
import { initFilter, extendRule, extendInclude, extendIgnoreDataRule, setDataFieldValue, guid, initQueryFilter, showFiles, showApprove } from "../../../utils/common";
import { ExportToExcel } from '@woowalker/feui'
import styles from '../HI/StepForm.css';
import ReactToPrint from "react-to-print";
import moment from 'moment';
import config from "../../../config.js";
import XLSX from 'xlsx';
import { connect } from 'dva';
import FormPage from '../../FormPage'

class AE008ShowPrint extends React.Component {
    constructor(props) {
        super(props);
        this.state = {
            data: null,
            item: null,
            btndisplay: 'none',
            ALLTOTAL: 0,
            ALLUSE: 0,
            ALLLEFT: 0
        }
    }

    componentDidMount() {
        if (this.props.data?.id)
            this.loadData(this.props.data?.id);
    }

    componentWillReceiveProps(NextProps) {
        if (NextProps.data?.id && this.props.data?.id != NextProps.data?.id) {
            this.loadData(NextProps.data?.id);
        }
    }

    onTableBtnExport() {
        // let TableWrap = document.getElementById('table1' + this.props.record.ID);
        let TableWrap = document.getElementById('table1');
        let Table = TableWrap.getElementsByTagName('table1')[0];
        const wb = XLSX.utils.table_to_book(Table);
        XLSX.writeFile(wb, this.props.record.Nav_Department.NAME + ".xlsx")
    }

    onClickApprove = (appVisible) => {
        const newtmpData = {
            data: { id: this.props.data.id, isShow: true, key: guid(), param: this.props.data.param, appVisible: appVisible, BtnAgreeDisplay: 'none' },
            formCode: "PF123",
        }
        this.setState({
            tmpData: newtmpData,
        });
    }

    //审批意见 改变
    NOTJOINREASONCHANGE = (val) => {
        this.state.NOTJOINREASON = val
    }


    //加载数据(传过来的参数都在props里面，包括登录信息)
    loadData = (id) => {
        var orgId = this.props.login ? this.props.login.OrgId : '';   //登录后有存储登录信息
        let json = initFilter(orgId);
        extendRule(json, 'ID', 1, id);    //ID=‘’，字段，等于，条件值， 1代表=，2代表不等于，3小于，4小于等于，5大于，6大于等于，7以开始的Like,8以结束的Like，9包含 
        extendInclude(json, 'Nav_AccidentEventReport.Nav_Department');
        extendInclude(json, 'Nav_LeaderUser');
        extendInclude(json, 'Nav_DeputyLeaderUser.Nav_User');
        extendInclude(json, 'Nav_TeamMembers.Nav_User');
        extendInclude(json, 'Nav_SurveyUser');
        extendIgnoreDataRule(json)

        this.props.dispatch({
            type: 'app/getDataByPost',
            payload: json,
            url: 'AE/AccidentSurveyTeamMember/Get',
            onComplete: (ret) => {    //返回查询结果ret
                this.setState({   //设置setState全局变量
                    data: ret,      //将ret对象赋值给data, data供页面调用
                })
            }
        });
    }

    //渲染页面
    render() {
        const { data, ALLTOTAL, ALLUSE, ALLLEFT } = this.state;
        const enums = this.props.data.enums ? this.props.data.enums : this.props.app.enums;
        return <div>
            <div style={{ padding: '10px' }}>
                <table>
                    <tr>
                        {/* <td><Button onClick={() => this.onClickApprove(true)} style={{ marginRight: '8px' }} icon="export">审批详情</Button></td> */}
                        <td><ReactToPrint trigger={() => <Button type={'default'} icon={'printer'} >打印</Button>} content={() => this.componentRef} pageStyle={"#tableId" + this.props.data.id + " { padding:0 40px;} img{width :120px}"} /></td>
                        <td><ExportToExcel fileName='事故调查小组成员' tableId={'tableId' + this.props.data.id} /></td>
                    </tr>
                </table>
            </div>

            <FormPage {...this.state.tmpData} />
            {/* 安全检查 */}
            <div ref={el => (this.componentRef = el)} style={{ padding: '20px', paddingTop: '20px' }} id={'tableId' + this.props.data.id}>
                <h1 className={styles.showPrintHead}>事故调查小组成员</h1>
                {
                    data ? <div>
                        <Descriptions title="" size="middle" bordered>
                            <Descriptions.Item label="事故编号">{data.Nav_AccidentEventReport.CODE}</Descriptions.Item>
                            <Descriptions.Item label="事故名称">{data.Nav_AccidentEventReport.NAME}</Descriptions.Item>
                            <Descriptions.Item label="事故部门">{data.Nav_AccidentEventReport.Nav_Department.NAME}</Descriptions.Item>
                            <Descriptions.Item label="事故地点">{data.Nav_AccidentEventReport.ACCIDENT_PLACE}</Descriptions.Item>
                            <Descriptions.Item label="组长">{data.Nav_LeaderUser?.NAME}</Descriptions.Item>
                            <Descriptions.Item label="副组长">{data.Nav_DeputyLeaderUser?.map((item, i) => {
                                return (i > 0 ? "，" : "") + item.Nav_User.NAME
                            })}</Descriptions.Item>
                            <Descriptions.Item label="组员">{data.Nav_TeamMembers?.map((item, i) => {
                                return (i > 0 ? "，" : "") + item.Nav_User.NAME
                            })}</Descriptions.Item>
                            <Descriptions.Item label="调查记录人">{data.Nav_SurveyUser?.NAME}</Descriptions.Item>
                        </Descriptions>
                    </div> : null
                }

            </div>
        </div>
    }
}
export default connect(({ login, app }) => ({ login, app }))(AE008ShowPrint) 